Package com.google.android.exoplayer2.transformer

## Interface Muxer.Factory

- All Known Implementing Classes:
    `DefaultMuxer.Factory`
  Enclosing interface:
    Muxer

      public static interface Muxer.Factory

  Factory for muxers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Muxer` | `create​(ParcelFileDescriptor parcelFileDescriptor)` | Returns a new muxer writing to a file descriptor.
    `Muxer` | `create​(String path)` | Returns a new muxer writing to a file.
    `ImmutableList<String>` | `getSupportedSampleMimeTypes​(@com.google.android.exoplayer2.C.TrackType int trackType)` | Returns the supported sample MIME types for the given `C.TrackType`.

- - ### Method Detail

    - #### create

          Muxer create​(String path)
                throws Muxer.MuxerException

      Returns a new muxer writing to a file.
      Parameters:
        `path` - The path to the output file.
      Throws:
        `IllegalArgumentException` - If the path is invalid.
        `Muxer.MuxerException` - If an error occurs opening the output file for writing.

    - #### create

          Muxer create​(ParcelFileDescriptor parcelFileDescriptor)
                throws Muxer.MuxerException

      Returns a new muxer writing to a file descriptor.
      Parameters:
        `parcelFileDescriptor` - A readable and writable `ParcelFileDescriptor` of the output. The file referenced by this ParcelFileDescriptor should not be used before the muxer is released. It is the responsibility of the caller to close the ParcelFileDescriptor. This can be done after this method returns.
      Throws:
        `IllegalArgumentException` - If the file descriptor is invalid.
        `Muxer.MuxerException` - If an error occurs opening the output file descriptor for writing.

    - #### getSupportedSampleMimeTypes

          ImmutableList<String> getSupportedSampleMimeTypes​(@com.google.android.exoplayer2.C.TrackType int trackType)

      Returns the supported sample MIME types for the given `C.TrackType`.